Look for inet_aton and inet_ntoa (in -lnsl and -lsocket).
[adns] / configure
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.12
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 srcdir=
32 target=NONE
33 verbose=
34 x_includes=NONE
35 x_libraries=NONE
36 bindir='${exec_prefix}/bin'
37 sbindir='${exec_prefix}/sbin'
38 libexecdir='${exec_prefix}/libexec'
39 datadir='${prefix}/share'
40 sysconfdir='${prefix}/etc'
41 sharedstatedir='${prefix}/com'
42 localstatedir='${prefix}/var'
43 libdir='${exec_prefix}/lib'
44 includedir='${prefix}/include'
45 oldincludedir='/usr/include'
46 infodir='${prefix}/info'
47 mandir='${prefix}/man'
48
49 # Initialize some other variables.
50 subdirs=
51 MFLAGS= MAKEFLAGS=
52 # Maximum number of lines to put in a shell here document.
53 ac_max_here_lines=12
54
55 ac_prev=
56 for ac_option
57 do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137 Usage: configure [options] [host]
138 Options: [defaults in brackets after descriptions]
139 Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145 Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169 EOF
170 cat << EOF
171 Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175 Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182 EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.12"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392 done
393
394 if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396 fi
397
398 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400 # File descriptor usage:
401 # 0 standard input
402 # 1 file creation
403 # 2 errors and warnings
404 # 3 some systems may open it to /dev/tty
405 # 4 used on the Kubota Titan
406 # 6 checking for... messages and results
407 # 5 compiler messages saved in config.log
408 if test "$silent" = yes; then
409 exec 6>/dev/null
410 else
411 exec 6>&1
412 fi
413 exec 5>./config.log
414
415 echo "\
416 This file contains any messages produced by compilers while
417 running configure, to aid debugging if configure makes a mistake.
418 " 1>&5
419
420 # Strip out --no-create and --no-recursion so they do not pile up.
421 # Also quote any args containing shell metacharacters.
422 ac_configure_args=
423 for ac_arg
424 do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434 done
435
436 # NLS nuisances.
437 # Only set these to C if already set. These must not be set unconditionally
438 # because not all systems understand e.g. LANG=C (notably SCO).
439 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440 # Non-C LC_CTYPE values break the ctype check.
441 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446 # confdefs.h avoids OS command line length limits that DEFS can exceed.
447 rm -rf conftest* confdefs.h
448 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
449 echo > confdefs.h
450
451 # A filename unique to this package, relative to the directory that
452 # configure is in, which we can look for to find out if srcdir is correct.
453 ac_unique_file=src/adns.h
454
455 # Find the source files, if location was not specified.
456 if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466 else
467 ac_srcdir_defaulted=no
468 fi
469 if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475 fi
476 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478 # Prefer explicitly selected file to automatically selected ones.
479 if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485 fi
486 for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491 done
492
493 if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496 else
497 echo "creating cache $cache_file"
498 > $cache_file
499 fi
500
501 ac_ext=c
502 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503 ac_cpp='$CPP $CPPFLAGS'
504 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506 cross_compiling=$ac_cv_prog_cc_cross
507
508 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512 ' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=
515 fi
516 else
517 ac_n= ac_c='\c' ac_t=
518 fi
519
520
521
522 # Extract the first word of "gcc", so it can be a program name with args.
523 set dummy gcc; ac_word=$2
524 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
525 echo "configure:526: checking for $ac_word" >&5
526 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
527 echo $ac_n "(cached) $ac_c" 1>&6
528 else
529 if test -n "$CC"; then
530 ac_cv_prog_CC="$CC" # Let the user override the test.
531 else
532 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
533 for ac_dir in $PATH; do
534 test -z "$ac_dir" && ac_dir=.
535 if test -f $ac_dir/$ac_word; then
536 ac_cv_prog_CC="gcc"
537 break
538 fi
539 done
540 IFS="$ac_save_ifs"
541 fi
542 fi
543 CC="$ac_cv_prog_CC"
544 if test -n "$CC"; then
545 echo "$ac_t""$CC" 1>&6
546 else
547 echo "$ac_t""no" 1>&6
548 fi
549
550 if test -z "$CC"; then
551 # Extract the first word of "cc", so it can be a program name with args.
552 set dummy cc; ac_word=$2
553 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
554 echo "configure:555: checking for $ac_word" >&5
555 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
556 echo $ac_n "(cached) $ac_c" 1>&6
557 else
558 if test -n "$CC"; then
559 ac_cv_prog_CC="$CC" # Let the user override the test.
560 else
561 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
562 ac_prog_rejected=no
563 for ac_dir in $PATH; do
564 test -z "$ac_dir" && ac_dir=.
565 if test -f $ac_dir/$ac_word; then
566 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
567 ac_prog_rejected=yes
568 continue
569 fi
570 ac_cv_prog_CC="cc"
571 break
572 fi
573 done
574 IFS="$ac_save_ifs"
575 if test $ac_prog_rejected = yes; then
576 # We found a bogon in the path, so make sure we never use it.
577 set dummy $ac_cv_prog_CC
578 shift
579 if test $# -gt 0; then
580 # We chose a different compiler from the bogus one.
581 # However, it has the same basename, so the bogon will be chosen
582 # first if we set CC to just the basename; use the full file name.
583 shift
584 set dummy "$ac_dir/$ac_word" "$@"
585 shift
586 ac_cv_prog_CC="$@"
587 fi
588 fi
589 fi
590 fi
591 CC="$ac_cv_prog_CC"
592 if test -n "$CC"; then
593 echo "$ac_t""$CC" 1>&6
594 else
595 echo "$ac_t""no" 1>&6
596 fi
597
598 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
599 fi
600
601 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
602 echo "configure:603: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
603
604 ac_ext=c
605 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
606 ac_cpp='$CPP $CPPFLAGS'
607 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
608 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
609 cross_compiling=$ac_cv_prog_cc_cross
610
611 cat > conftest.$ac_ext <<EOF
612 #line 613 "configure"
613 #include "confdefs.h"
614 main(){return(0);}
615 EOF
616 if { (eval echo configure:617: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
617 ac_cv_prog_cc_works=yes
618 # If we can't run a trivial program, we are probably using a cross compiler.
619 if (./conftest; exit) 2>/dev/null; then
620 ac_cv_prog_cc_cross=no
621 else
622 ac_cv_prog_cc_cross=yes
623 fi
624 else
625 echo "configure: failed program was:" >&5
626 cat conftest.$ac_ext >&5
627 ac_cv_prog_cc_works=no
628 fi
629 rm -fr conftest*
630
631 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
632 if test $ac_cv_prog_cc_works = no; then
633 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
634 fi
635 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
636 echo "configure:637: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
637 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
638 cross_compiling=$ac_cv_prog_cc_cross
639
640 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
641 echo "configure:642: checking whether we are using GNU C" >&5
642 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
643 echo $ac_n "(cached) $ac_c" 1>&6
644 else
645 cat > conftest.c <<EOF
646 #ifdef __GNUC__
647 yes;
648 #endif
649 EOF
650 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:651: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
651 ac_cv_prog_gcc=yes
652 else
653 ac_cv_prog_gcc=no
654 fi
655 fi
656
657 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
658
659 if test $ac_cv_prog_gcc = yes; then
660 GCC=yes
661 ac_test_CFLAGS="${CFLAGS+set}"
662 ac_save_CFLAGS="$CFLAGS"
663 CFLAGS=
664 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
665 echo "configure:666: checking whether ${CC-cc} accepts -g" >&5
666 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
667 echo $ac_n "(cached) $ac_c" 1>&6
668 else
669 echo 'void f(){}' > conftest.c
670 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
671 ac_cv_prog_cc_g=yes
672 else
673 ac_cv_prog_cc_g=no
674 fi
675 rm -f conftest*
676
677 fi
678
679 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
680 if test "$ac_test_CFLAGS" = set; then
681 CFLAGS="$ac_save_CFLAGS"
682 elif test $ac_cv_prog_cc_g = yes; then
683 CFLAGS="-g -O2"
684 else
685 CFLAGS="-O2"
686 fi
687 else
688 GCC=
689 test "${CFLAGS+set}" = set || CFLAGS="-g"
690 fi
691
692 # Extract the first word of "ranlib", so it can be a program name with args.
693 set dummy ranlib; ac_word=$2
694 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
695 echo "configure:696: checking for $ac_word" >&5
696 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
697 echo $ac_n "(cached) $ac_c" 1>&6
698 else
699 if test -n "$RANLIB"; then
700 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
701 else
702 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
703 for ac_dir in $PATH; do
704 test -z "$ac_dir" && ac_dir=.
705 if test -f $ac_dir/$ac_word; then
706 ac_cv_prog_RANLIB="ranlib"
707 break
708 fi
709 done
710 IFS="$ac_save_ifs"
711 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
712 fi
713 fi
714 RANLIB="$ac_cv_prog_RANLIB"
715 if test -n "$RANLIB"; then
716 echo "$ac_t""$RANLIB" 1>&6
717 else
718 echo "$ac_t""no" 1>&6
719 fi
720
721
722
723 echo $ac_n "checking for socket""... $ac_c" 1>&6
724 echo "configure:725: checking for socket" >&5
725 if eval "test \"`echo '$''{'ac_cv_func_socket'+set}'`\" = set"; then
726 echo $ac_n "(cached) $ac_c" 1>&6
727 else
728 cat > conftest.$ac_ext <<EOF
729 #line 730 "configure"
730 #include "confdefs.h"
731 /* System header to define __stub macros and hopefully few prototypes,
732 which can conflict with char socket(); below. */
733 #include <assert.h>
734 /* Override any gcc2 internal prototype to avoid an error. */
735 /* We use char because int might match the return type of a gcc2
736 builtin and then its argument prototype would still apply. */
737 char socket();
738
739 int main() {
740
741 /* The GNU C library defines this for functions which it implements
742 to always fail with ENOSYS. Some functions are actually named
743 something starting with __ and the normal name is an alias. */
744 #if defined (__stub_socket) || defined (__stub___socket)
745 choke me
746 #else
747 socket();
748 #endif
749
750 ; return 0; }
751 EOF
752 if { (eval echo configure:753: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
753 rm -rf conftest*
754 eval "ac_cv_func_socket=yes"
755 else
756 echo "configure: failed program was:" >&5
757 cat conftest.$ac_ext >&5
758 rm -rf conftest*
759 eval "ac_cv_func_socket=no"
760 fi
761 rm -f conftest*
762 fi
763
764 if eval "test \"`echo '$ac_cv_func_'socket`\" = yes"; then
765 echo "$ac_t""yes" 1>&6
766 :
767 else
768 echo "$ac_t""no" 1>&6
769
770 echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
771 echo "configure:772: checking for socket in -lsocket" >&5
772 ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
773 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
774 echo $ac_n "(cached) $ac_c" 1>&6
775 else
776 ac_save_LIBS="$LIBS"
777 LIBS="-lsocket $LIBS"
778 cat > conftest.$ac_ext <<EOF
779 #line 780 "configure"
780 #include "confdefs.h"
781 /* Override any gcc2 internal prototype to avoid an error. */
782 /* We use char because int might match the return type of a gcc2
783 builtin and then its argument prototype would still apply. */
784 char socket();
785
786 int main() {
787 socket()
788 ; return 0; }
789 EOF
790 if { (eval echo configure:791: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
791 rm -rf conftest*
792 eval "ac_cv_lib_$ac_lib_var=yes"
793 else
794 echo "configure: failed program was:" >&5
795 cat conftest.$ac_ext >&5
796 rm -rf conftest*
797 eval "ac_cv_lib_$ac_lib_var=no"
798 fi
799 rm -f conftest*
800 LIBS="$ac_save_LIBS"
801
802 fi
803 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
804 echo "$ac_t""yes" 1>&6
805 ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
806 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
807 cat >> confdefs.h <<EOF
808 #define $ac_tr_lib 1
809 EOF
810
811 LIBS="-lsocket $LIBS"
812
813 else
814 echo "$ac_t""no" 1>&6
815
816 { echo "configure: error: cannot find library function socket" 1>&2; exit 1; }
817
818 fi
819
820
821 fi
822
823
824
825 echo $ac_n "checking for inet_ntoa""... $ac_c" 1>&6
826 echo "configure:827: checking for inet_ntoa" >&5
827 if eval "test \"`echo '$''{'ac_cv_func_inet_ntoa'+set}'`\" = set"; then
828 echo $ac_n "(cached) $ac_c" 1>&6
829 else
830 cat > conftest.$ac_ext <<EOF
831 #line 832 "configure"
832 #include "confdefs.h"
833 /* System header to define __stub macros and hopefully few prototypes,
834 which can conflict with char inet_ntoa(); below. */
835 #include <assert.h>
836 /* Override any gcc2 internal prototype to avoid an error. */
837 /* We use char because int might match the return type of a gcc2
838 builtin and then its argument prototype would still apply. */
839 char inet_ntoa();
840
841 int main() {
842
843 /* The GNU C library defines this for functions which it implements
844 to always fail with ENOSYS. Some functions are actually named
845 something starting with __ and the normal name is an alias. */
846 #if defined (__stub_inet_ntoa) || defined (__stub___inet_ntoa)
847 choke me
848 #else
849 inet_ntoa();
850 #endif
851
852 ; return 0; }
853 EOF
854 if { (eval echo configure:855: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
855 rm -rf conftest*
856 eval "ac_cv_func_inet_ntoa=yes"
857 else
858 echo "configure: failed program was:" >&5
859 cat conftest.$ac_ext >&5
860 rm -rf conftest*
861 eval "ac_cv_func_inet_ntoa=no"
862 fi
863 rm -f conftest*
864 fi
865
866 if eval "test \"`echo '$ac_cv_func_'inet_ntoa`\" = yes"; then
867 echo "$ac_t""yes" 1>&6
868 :
869 else
870 echo "$ac_t""no" 1>&6
871
872 echo $ac_n "checking for inet_ntoa in -lnsl""... $ac_c" 1>&6
873 echo "configure:874: checking for inet_ntoa in -lnsl" >&5
874 ac_lib_var=`echo nsl'_'inet_ntoa | sed 'y%./+-%__p_%'`
875 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
876 echo $ac_n "(cached) $ac_c" 1>&6
877 else
878 ac_save_LIBS="$LIBS"
879 LIBS="-lnsl $LIBS"
880 cat > conftest.$ac_ext <<EOF
881 #line 882 "configure"
882 #include "confdefs.h"
883 /* Override any gcc2 internal prototype to avoid an error. */
884 /* We use char because int might match the return type of a gcc2
885 builtin and then its argument prototype would still apply. */
886 char inet_ntoa();
887
888 int main() {
889 inet_ntoa()
890 ; return 0; }
891 EOF
892 if { (eval echo configure:893: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
893 rm -rf conftest*
894 eval "ac_cv_lib_$ac_lib_var=yes"
895 else
896 echo "configure: failed program was:" >&5
897 cat conftest.$ac_ext >&5
898 rm -rf conftest*
899 eval "ac_cv_lib_$ac_lib_var=no"
900 fi
901 rm -f conftest*
902 LIBS="$ac_save_LIBS"
903
904 fi
905 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
906 echo "$ac_t""yes" 1>&6
907 ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
908 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
909 cat >> confdefs.h <<EOF
910 #define $ac_tr_lib 1
911 EOF
912
913 LIBS="-lnsl $LIBS"
914
915 else
916 echo "$ac_t""no" 1>&6
917
918 { echo "configure: error: cannot find library function inet_ntoa" 1>&2; exit 1; }
919
920 fi
921
922
923 fi
924
925
926
927
928 echo $ac_n "checking for inet_aton""... $ac_c" 1>&6
929 echo "configure:930: checking for inet_aton" >&5
930 if eval "test \"`echo '$''{'ac_cv_func_inet_aton'+set}'`\" = set"; then
931 echo $ac_n "(cached) $ac_c" 1>&6
932 else
933 cat > conftest.$ac_ext <<EOF
934 #line 935 "configure"
935 #include "confdefs.h"
936 /* System header to define __stub macros and hopefully few prototypes,
937 which can conflict with char inet_aton(); below. */
938 #include <assert.h>
939 /* Override any gcc2 internal prototype to avoid an error. */
940 /* We use char because int might match the return type of a gcc2
941 builtin and then its argument prototype would still apply. */
942 char inet_aton();
943
944 int main() {
945
946 /* The GNU C library defines this for functions which it implements
947 to always fail with ENOSYS. Some functions are actually named
948 something starting with __ and the normal name is an alias. */
949 #if defined (__stub_inet_aton) || defined (__stub___inet_aton)
950 choke me
951 #else
952 inet_aton();
953 #endif
954
955 ; return 0; }
956 EOF
957 if { (eval echo configure:958: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
958 rm -rf conftest*
959 eval "ac_cv_func_inet_aton=yes"
960 else
961 echo "configure: failed program was:" >&5
962 cat conftest.$ac_ext >&5
963 rm -rf conftest*
964 eval "ac_cv_func_inet_aton=no"
965 fi
966 rm -f conftest*
967 fi
968
969 if eval "test \"`echo '$ac_cv_func_'inet_aton`\" = yes"; then
970 echo "$ac_t""yes" 1>&6
971 :
972 else
973 echo "$ac_t""no" 1>&6
974
975 echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
976 echo "configure:977: checking for inet_aton in -lresolv" >&5
977 ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
978 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
979 echo $ac_n "(cached) $ac_c" 1>&6
980 else
981 ac_save_LIBS="$LIBS"
982 LIBS="-lresolv $LIBS"
983 cat > conftest.$ac_ext <<EOF
984 #line 985 "configure"
985 #include "confdefs.h"
986 /* Override any gcc2 internal prototype to avoid an error. */
987 /* We use char because int might match the return type of a gcc2
988 builtin and then its argument prototype would still apply. */
989 char inet_aton();
990
991 int main() {
992 inet_aton()
993 ; return 0; }
994 EOF
995 if { (eval echo configure:996: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
996 rm -rf conftest*
997 eval "ac_cv_lib_$ac_lib_var=yes"
998 else
999 echo "configure: failed program was:" >&5
1000 cat conftest.$ac_ext >&5
1001 rm -rf conftest*
1002 eval "ac_cv_lib_$ac_lib_var=no"
1003 fi
1004 rm -f conftest*
1005 LIBS="$ac_save_LIBS"
1006
1007 fi
1008 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1009 echo "$ac_t""yes" 1>&6
1010
1011 LIBS="-lresolv $LIBS";
1012 echo "configure: warning: inet_aton is in libresolv, urgh. Must use -lresolv." 1>&2
1013
1014 else
1015 echo "$ac_t""no" 1>&6
1016
1017 { echo "configure: error: cannot find library function inet_aton" 1>&2; exit 1; }
1018
1019 fi
1020
1021
1022 fi
1023
1024
1025
1026
1027 echo $ac_n "checking for mpq_div""... $ac_c" 1>&6
1028 echo "configure:1029: checking for mpq_div" >&5
1029 if eval "test \"`echo '$''{'ac_cv_func_mpq_div'+set}'`\" = set"; then
1030 echo $ac_n "(cached) $ac_c" 1>&6
1031 else
1032 cat > conftest.$ac_ext <<EOF
1033 #line 1034 "configure"
1034 #include "confdefs.h"
1035 /* System header to define __stub macros and hopefully few prototypes,
1036 which can conflict with char mpq_div(); below. */
1037 #include <assert.h>
1038 /* Override any gcc2 internal prototype to avoid an error. */
1039 /* We use char because int might match the return type of a gcc2
1040 builtin and then its argument prototype would still apply. */
1041 char mpq_div();
1042
1043 int main() {
1044
1045 /* The GNU C library defines this for functions which it implements
1046 to always fail with ENOSYS. Some functions are actually named
1047 something starting with __ and the normal name is an alias. */
1048 #if defined (__stub_mpq_div) || defined (__stub___mpq_div)
1049 choke me
1050 #else
1051 mpq_div();
1052 #endif
1053
1054 ; return 0; }
1055 EOF
1056 if { (eval echo configure:1057: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1057 rm -rf conftest*
1058 eval "ac_cv_func_mpq_div=yes"
1059 else
1060 echo "configure: failed program was:" >&5
1061 cat conftest.$ac_ext >&5
1062 rm -rf conftest*
1063 eval "ac_cv_func_mpq_div=no"
1064 fi
1065 rm -f conftest*
1066 fi
1067
1068 if eval "test \"`echo '$ac_cv_func_'mpq_div`\" = yes"; then
1069 echo "$ac_t""yes" 1>&6
1070 :
1071 else
1072 echo "$ac_t""no" 1>&6
1073
1074 echo $ac_n "checking for mpq_div in -lgmp""... $ac_c" 1>&6
1075 echo "configure:1076: checking for mpq_div in -lgmp" >&5
1076 ac_lib_var=`echo gmp'_'mpq_div | sed 'y%./+-%__p_%'`
1077 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1078 echo $ac_n "(cached) $ac_c" 1>&6
1079 else
1080 ac_save_LIBS="$LIBS"
1081 LIBS="-lgmp $LIBS"
1082 cat > conftest.$ac_ext <<EOF
1083 #line 1084 "configure"
1084 #include "confdefs.h"
1085 /* Override any gcc2 internal prototype to avoid an error. */
1086 /* We use char because int might match the return type of a gcc2
1087 builtin and then its argument prototype would still apply. */
1088 char mpq_div();
1089
1090 int main() {
1091 mpq_div()
1092 ; return 0; }
1093 EOF
1094 if { (eval echo configure:1095: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1095 rm -rf conftest*
1096 eval "ac_cv_lib_$ac_lib_var=yes"
1097 else
1098 echo "configure: failed program was:" >&5
1099 cat conftest.$ac_ext >&5
1100 rm -rf conftest*
1101 eval "ac_cv_lib_$ac_lib_var=no"
1102 fi
1103 rm -f conftest*
1104 LIBS="$ac_save_LIBS"
1105
1106 fi
1107 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1108 echo "$ac_t""yes" 1>&6
1109 ac_tr_lib=HAVE_LIB`echo gmp | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1110 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1111 cat >> confdefs.h <<EOF
1112 #define $ac_tr_lib 1
1113 EOF
1114
1115 LIBS="-lgmp $LIBS"
1116
1117 else
1118 echo "$ac_t""no" 1>&6
1119
1120 { echo "configure: error: cannot find library function mpq_div" 1>&2; exit 1; }
1121
1122 fi
1123
1124
1125 fi
1126
1127
1128
1129
1130
1131 echo $ac_n "checking __attribute__((,,))""... $ac_c" 1>&6
1132 echo "configure:1133: checking __attribute__((,,))" >&5
1133 if eval "test \"`echo '$''{'adns_cv_c_attribute_supported'+set}'`\" = set"; then
1134 echo $ac_n "(cached) $ac_c" 1>&6
1135 else
1136
1137 cat > conftest.$ac_ext <<EOF
1138 #line 1139 "configure"
1139 #include "confdefs.h"
1140
1141 int main() {
1142 extern int testfunction(int x) __attribute__((,,))
1143 ; return 0; }
1144 EOF
1145 if { (eval echo configure:1146: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1146 rm -rf conftest*
1147 adns_cv_c_attribute_supported=yes
1148 else
1149 echo "configure: failed program was:" >&5
1150 cat conftest.$ac_ext >&5
1151 rm -rf conftest*
1152 adns_cv_c_attribute_supported=no
1153 fi
1154 rm -f conftest*
1155
1156 fi
1157
1158 if test "x$adns_cv_c_attribute_supported" = xyes; then
1159 true
1160 echo "$ac_t""yes" 1>&6
1161 cat >> confdefs.h <<\EOF
1162 #define HAVE_GNUC25_ATTRIB 1
1163 EOF
1164
1165
1166 echo $ac_n "checking __attribute__((noreturn))""... $ac_c" 1>&6
1167 echo "configure:1168: checking __attribute__((noreturn))" >&5
1168 if eval "test \"`echo '$''{'adns_cv_c_attribute_noreturn'+set}'`\" = set"; then
1169 echo $ac_n "(cached) $ac_c" 1>&6
1170 else
1171
1172 cat > conftest.$ac_ext <<EOF
1173 #line 1174 "configure"
1174 #include "confdefs.h"
1175
1176 int main() {
1177 extern int testfunction(int x) __attribute__((noreturn))
1178 ; return 0; }
1179 EOF
1180 if { (eval echo configure:1181: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1181 rm -rf conftest*
1182 adns_cv_c_attribute_noreturn=yes
1183 else
1184 echo "configure: failed program was:" >&5
1185 cat conftest.$ac_ext >&5
1186 rm -rf conftest*
1187 adns_cv_c_attribute_noreturn=no
1188 fi
1189 rm -f conftest*
1190
1191 fi
1192
1193 if test "x$adns_cv_c_attribute_noreturn" = xyes; then
1194 true
1195 echo "$ac_t""yes" 1>&6
1196 cat >> confdefs.h <<\EOF
1197 #define HAVE_GNUC25_NORETURN 1
1198 EOF
1199
1200 else
1201 true
1202 echo "$ac_t""no" 1>&6
1203 fi
1204
1205
1206 echo $ac_n "checking __attribute__((const))""... $ac_c" 1>&6
1207 echo "configure:1208: checking __attribute__((const))" >&5
1208 if eval "test \"`echo '$''{'adns_cv_c_attribute_const'+set}'`\" = set"; then
1209 echo $ac_n "(cached) $ac_c" 1>&6
1210 else
1211
1212 cat > conftest.$ac_ext <<EOF
1213 #line 1214 "configure"
1214 #include "confdefs.h"
1215
1216 int main() {
1217 extern int testfunction(int x) __attribute__((const))
1218 ; return 0; }
1219 EOF
1220 if { (eval echo configure:1221: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1221 rm -rf conftest*
1222 adns_cv_c_attribute_const=yes
1223 else
1224 echo "configure: failed program was:" >&5
1225 cat conftest.$ac_ext >&5
1226 rm -rf conftest*
1227 adns_cv_c_attribute_const=no
1228 fi
1229 rm -f conftest*
1230
1231 fi
1232
1233 if test "x$adns_cv_c_attribute_const" = xyes; then
1234 true
1235 echo "$ac_t""yes" 1>&6
1236 cat >> confdefs.h <<\EOF
1237 #define HAVE_GNUC25_CONST 1
1238 EOF
1239
1240 else
1241 true
1242 echo "$ac_t""no" 1>&6
1243 fi
1244
1245
1246 echo $ac_n "checking __attribute__((format...))""... $ac_c" 1>&6
1247 echo "configure:1248: checking __attribute__((format...))" >&5
1248 if eval "test \"`echo '$''{'adns_cv_attribute_format'+set}'`\" = set"; then
1249 echo $ac_n "(cached) $ac_c" 1>&6
1250 else
1251
1252 cat > conftest.$ac_ext <<EOF
1253 #line 1254 "configure"
1254 #include "confdefs.h"
1255
1256 int main() {
1257 extern int testfunction(char *y, ...) __attribute__((format(printf,1,2)))
1258 ; return 0; }
1259 EOF
1260 if { (eval echo configure:1261: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1261 rm -rf conftest*
1262 adns_cv_attribute_format=yes
1263 else
1264 echo "configure: failed program was:" >&5
1265 cat conftest.$ac_ext >&5
1266 rm -rf conftest*
1267 adns_cv_attribute_format=no
1268 fi
1269 rm -f conftest*
1270
1271 fi
1272
1273 if test "x$adns_cv_attribute_format" = xyes; then
1274 true
1275 echo "$ac_t""yes" 1>&6
1276 cat >> confdefs.h <<\EOF
1277 #define HAVE_GNUC25_PRINTFFORMAT 1
1278 EOF
1279
1280 else
1281 true
1282 echo "$ac_t""no" 1>&6
1283 fi
1284
1285 else
1286 true
1287 echo "$ac_t""no" 1>&6
1288 fi
1289
1290
1291
1292
1293
1294 if test "${GCC-no}" = yes; then
1295 WARNS="-Wall -Wmissing-prototypes -Wwrite-strings -Wstrict-prototypes -Wcast-qual -Wpointer-arith"
1296 else
1297 WARNS=
1298 fi
1299
1300
1301
1302
1303
1304
1305
1306
1307 SHLIBCC='$(CC) $(CFLAGS) -fpic'
1308 MKSHLIB_1='$(CC) $(LDFLAGS) -shared -Wxl,soname=$(SONAME) -o'
1309 MKSHLIB_2=''
1310 MKSHLIB_3='-lc'
1311 SHLIBFILE='libadns.so.$(MAJOR).$(MINOR)'
1312 SHLIBSONAME='libadns.so.$(MAJOR)'
1313
1314 trap '' 1 2 15
1315 cat > confcache <<\EOF
1316 # This file is a shell script that caches the results of configure
1317 # tests run on this system so they can be shared between configure
1318 # scripts and configure runs. It is not useful on other systems.
1319 # If it contains results you don't want to keep, you may remove or edit it.
1320 #
1321 # By default, configure uses ./config.cache as the cache file,
1322 # creating it if it does not exist already. You can give configure
1323 # the --cache-file=FILE option to use a different cache file; that is
1324 # what configure does when it calls configure scripts in
1325 # subdirectories, so they share the cache.
1326 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1327 # config.status only pays attention to the cache file if you give it the
1328 # --recheck option to rerun configure.
1329 #
1330 EOF
1331 # The following way of writing the cache mishandles newlines in values,
1332 # but we know of no workaround that is simple, portable, and efficient.
1333 # So, don't put newlines in cache variables' values.
1334 # Ultrix sh set writes to stderr and can't be redirected directly,
1335 # and sets the high bit in the cache file unless we assign to the vars.
1336 (set) 2>&1 |
1337 case `(ac_space=' '; set) 2>&1` in
1338 *ac_space=\ *)
1339 # `set' does not quote correctly, so add quotes (double-quote substitution
1340 # turns \\\\ into \\, and sed turns \\ into \).
1341 sed -n \
1342 -e "s/'/'\\\\''/g" \
1343 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1344 ;;
1345 *)
1346 # `set' quotes correctly as required by POSIX, so do not add quotes.
1347 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1348 ;;
1349 esac >> confcache
1350 if cmp -s $cache_file confcache; then
1351 :
1352 else
1353 if test -w $cache_file; then
1354 echo "updating cache $cache_file"
1355 cat confcache > $cache_file
1356 else
1357 echo "not updating unwritable cache $cache_file"
1358 fi
1359 fi
1360 rm -f confcache
1361
1362 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1363
1364 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1365 # Let make expand exec_prefix.
1366 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1367
1368 # Any assignment to VPATH causes Sun make to only execute
1369 # the first set of double-colon rules, so remove it if not needed.
1370 # If there is a colon in the path, we need to keep it.
1371 if test "x$srcdir" = x.; then
1372 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1373 fi
1374
1375 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1376
1377 DEFS=-DHAVE_CONFIG_H
1378
1379 # Without the "./", some shells look in PATH for config.status.
1380 : ${CONFIG_STATUS=./config.status}
1381
1382 echo creating $CONFIG_STATUS
1383 rm -f $CONFIG_STATUS
1384 cat > $CONFIG_STATUS <<EOF
1385 #! /bin/sh
1386 # Generated automatically by configure.
1387 # Run this file to recreate the current configuration.
1388 # This directory was configured as follows,
1389 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1390 #
1391 # $0 $ac_configure_args
1392 #
1393 # Compiler output produced by configure, useful for debugging
1394 # configure, is in ./config.log if it exists.
1395
1396 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1397 for ac_option
1398 do
1399 case "\$ac_option" in
1400 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1401 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1402 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1403 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1404 echo "$CONFIG_STATUS generated by autoconf version 2.12"
1405 exit 0 ;;
1406 -help | --help | --hel | --he | --h)
1407 echo "\$ac_cs_usage"; exit 0 ;;
1408 *) echo "\$ac_cs_usage"; exit 1 ;;
1409 esac
1410 done
1411
1412 ac_given_srcdir=$srcdir
1413
1414 trap 'rm -fr `echo "settings.make Makefile
1415 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1416 src/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1417 EOF
1418 cat >> $CONFIG_STATUS <<EOF
1419
1420 # Protect against being on the right side of a sed subst in config.status.
1421 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1422 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1423 $ac_vpsub
1424 $extrasub
1425 s%@CFLAGS@%$CFLAGS%g
1426 s%@CPPFLAGS@%$CPPFLAGS%g
1427 s%@CXXFLAGS@%$CXXFLAGS%g
1428 s%@DEFS@%$DEFS%g
1429 s%@LDFLAGS@%$LDFLAGS%g
1430 s%@LIBS@%$LIBS%g
1431 s%@exec_prefix@%$exec_prefix%g
1432 s%@prefix@%$prefix%g
1433 s%@program_transform_name@%$program_transform_name%g
1434 s%@bindir@%$bindir%g
1435 s%@sbindir@%$sbindir%g
1436 s%@libexecdir@%$libexecdir%g
1437 s%@datadir@%$datadir%g
1438 s%@sysconfdir@%$sysconfdir%g
1439 s%@sharedstatedir@%$sharedstatedir%g
1440 s%@localstatedir@%$localstatedir%g
1441 s%@libdir@%$libdir%g
1442 s%@includedir@%$includedir%g
1443 s%@oldincludedir@%$oldincludedir%g
1444 s%@infodir@%$infodir%g
1445 s%@mandir@%$mandir%g
1446 s%@CC@%$CC%g
1447 s%@RANLIB@%$RANLIB%g
1448 s%@WARNS@%$WARNS%g
1449 s%@SHLIBCC@%$SHLIBCC%g
1450 s%@MKSHLIB_1@%$MKSHLIB_1%g
1451 s%@MKSHLIB_2@%$MKSHLIB_2%g
1452 s%@MKSHLIB_3@%$MKSHLIB_3%g
1453 s%@SHLIBFILE@%$SHLIBFILE%g
1454 s%@SHLIBSONAME@%$SHLIBSONAME%g
1455
1456 CEOF
1457 EOF
1458
1459 cat >> $CONFIG_STATUS <<\EOF
1460
1461 # Split the substitutions into bite-sized pieces for seds with
1462 # small command number limits, like on Digital OSF/1 and HP-UX.
1463 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1464 ac_file=1 # Number of current file.
1465 ac_beg=1 # First line for current file.
1466 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1467 ac_more_lines=:
1468 ac_sed_cmds=""
1469 while $ac_more_lines; do
1470 if test $ac_beg -gt 1; then
1471 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1472 else
1473 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1474 fi
1475 if test ! -s conftest.s$ac_file; then
1476 ac_more_lines=false
1477 rm -f conftest.s$ac_file
1478 else
1479 if test -z "$ac_sed_cmds"; then
1480 ac_sed_cmds="sed -f conftest.s$ac_file"
1481 else
1482 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1483 fi
1484 ac_file=`expr $ac_file + 1`
1485 ac_beg=$ac_end
1486 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1487 fi
1488 done
1489 if test -z "$ac_sed_cmds"; then
1490 ac_sed_cmds=cat
1491 fi
1492 EOF
1493
1494 cat >> $CONFIG_STATUS <<EOF
1495
1496 CONFIG_FILES=\${CONFIG_FILES-"settings.make Makefile
1497 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1498 "}
1499 EOF
1500 cat >> $CONFIG_STATUS <<\EOF
1501 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1502 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1503 case "$ac_file" in
1504 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1505 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1506 *) ac_file_in="${ac_file}.in" ;;
1507 esac
1508
1509 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1510
1511 # Remove last slash and all that follows it. Not all systems have dirname.
1512 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1513 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1514 # The file is in a subdirectory.
1515 test ! -d "$ac_dir" && mkdir "$ac_dir"
1516 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1517 # A "../" for each directory in $ac_dir_suffix.
1518 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1519 else
1520 ac_dir_suffix= ac_dots=
1521 fi
1522
1523 case "$ac_given_srcdir" in
1524 .) srcdir=.
1525 if test -z "$ac_dots"; then top_srcdir=.
1526 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1527 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1528 *) # Relative path.
1529 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1530 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1531 esac
1532
1533
1534 echo creating "$ac_file"
1535 rm -f "$ac_file"
1536 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1537 case "$ac_file" in
1538 *Makefile*) ac_comsub="1i\\
1539 # $configure_input" ;;
1540 *) ac_comsub= ;;
1541 esac
1542
1543 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1544 sed -e "$ac_comsub
1545 s%@configure_input@%$configure_input%g
1546 s%@srcdir@%$srcdir%g
1547 s%@top_srcdir@%$top_srcdir%g
1548 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1549 fi; done
1550 rm -f conftest.s*
1551
1552 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1553 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1554 #
1555 # ac_d sets the value in "#define NAME VALUE" lines.
1556 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1557 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1558 ac_dC='\3'
1559 ac_dD='%g'
1560 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1561 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1562 ac_uB='\([ ]\)%\1#\2define\3'
1563 ac_uC=' '
1564 ac_uD='\4%g'
1565 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1566 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1567 ac_eB='$%\1#\2define\3'
1568 ac_eC=' '
1569 ac_eD='%g'
1570
1571 if test "${CONFIG_HEADERS+set}" != set; then
1572 EOF
1573 cat >> $CONFIG_STATUS <<EOF
1574 CONFIG_HEADERS="src/config.h"
1575 EOF
1576 cat >> $CONFIG_STATUS <<\EOF
1577 fi
1578 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1579 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1580 case "$ac_file" in
1581 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1582 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1583 *) ac_file_in="${ac_file}.in" ;;
1584 esac
1585
1586 echo creating $ac_file
1587
1588 rm -f conftest.frag conftest.in conftest.out
1589 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1590 cat $ac_file_inputs > conftest.in
1591
1592 EOF
1593
1594 # Transform confdefs.h into a sed script conftest.vals that substitutes
1595 # the proper values into config.h.in to produce config.h. And first:
1596 # Protect against being on the right side of a sed subst in config.status.
1597 # Protect against being in an unquoted here document in config.status.
1598 rm -f conftest.vals
1599 cat > conftest.hdr <<\EOF
1600 s/[\\&%]/\\&/g
1601 s%[\\$`]%\\&%g
1602 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1603 s%ac_d%ac_u%gp
1604 s%ac_u%ac_e%gp
1605 EOF
1606 sed -n -f conftest.hdr confdefs.h > conftest.vals
1607 rm -f conftest.hdr
1608
1609 # This sed command replaces #undef with comments. This is necessary, for
1610 # example, in the case of _POSIX_SOURCE, which is predefined and required
1611 # on some systems where configure will not decide to define it.
1612 cat >> conftest.vals <<\EOF
1613 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1614 EOF
1615
1616 # Break up conftest.vals because some shells have a limit on
1617 # the size of here documents, and old seds have small limits too.
1618
1619 rm -f conftest.tail
1620 while :
1621 do
1622 ac_lines=`grep -c . conftest.vals`
1623 # grep -c gives empty output for an empty file on some AIX systems.
1624 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1625 # Write a limited-size here document to conftest.frag.
1626 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1627 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1628 echo 'CEOF
1629 sed -f conftest.frag conftest.in > conftest.out
1630 rm -f conftest.in
1631 mv conftest.out conftest.in
1632 ' >> $CONFIG_STATUS
1633 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1634 rm -f conftest.vals
1635 mv conftest.tail conftest.vals
1636 done
1637 rm -f conftest.vals
1638
1639 cat >> $CONFIG_STATUS <<\EOF
1640 rm -f conftest.frag conftest.h
1641 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1642 cat conftest.in >> conftest.h
1643 rm -f conftest.in
1644 if cmp -s $ac_file conftest.h 2>/dev/null; then
1645 echo "$ac_file is unchanged"
1646 rm -f conftest.h
1647 else
1648 # Remove last slash and all that follows it. Not all systems have dirname.
1649 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1650 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1651 # The file is in a subdirectory.
1652 test ! -d "$ac_dir" && mkdir "$ac_dir"
1653 fi
1654 rm -f $ac_file
1655 mv conftest.h $ac_file
1656 fi
1657 fi; done
1658
1659 EOF
1660 cat >> $CONFIG_STATUS <<EOF
1661
1662 EOF
1663 cat >> $CONFIG_STATUS <<\EOF
1664
1665 exit 0
1666 EOF
1667 chmod +x $CONFIG_STATUS
1668 rm -fr confdefs* $ac_clean_files
1669 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1670